play.utils

## Class FastRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Result

    public class FastRuntimeException
    extends java.lang.RuntimeException

Fast Exception - skips creating stackTrace. More info here: http://www.javaspecialists.eu/archive/Issue129.html

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FastRuntimeException()`
`FastRuntimeException(java.lang.String desc)`
`FastRuntimeException(java.lang.String desc, java.lang.Throwable cause)`
`FastRuntimeException(java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `fillInStackTrace()` Since we override this method, no stacktrace is generated - much faster

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FastRuntimeException

    public FastRuntimeException()

#### FastRuntimeException

    public FastRuntimeException(java.lang.String desc)

#### FastRuntimeException

    public FastRuntimeException(java.lang.String desc,
                                java.lang.Throwable cause)

#### FastRuntimeException

    public FastRuntimeException(java.lang.Throwable cause)

### Method Detail

#### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

Since we override this method, no stacktrace is generated - much faster

Overrides:
  `fillInStackTrace` in class `java.lang.Throwable`
Returns:
  always null